<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TrapBase/Trap_TripWire.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d4a/_trap___trip_wire_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Trap_TripWire.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d0/d4a/_trap___trip_wire_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dba/class_tripwire_trap_deployed.html">TripwireTrapDeployed</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a50fcac5bd072363731670c22cefdc8e4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4">eWireMaterial</a> { <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4a1f1dd8e7a28788f8b1f2635baafe0d9b">WIRE</a> = 0
, <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4aa0b736653663dc571d7a34bf3f08da2a">BARBED_WIRE</a> = 1
, <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4a24d6f5addc374131ab07a16c222d6992">ROPE</a> = 2
 }</td></tr>
<tr class="separator:a50fcac5bd072363731670c22cefdc8e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aea9b9b55667dc9572784dd968ba75845"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#aea9b9b55667dc9572784dd968ba75845">TripwireTrap</a> ()</td></tr>
<tr class="separator:aea9b9b55667dc9572784dd968ba75845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad183155e7592e816863539c54b6fa83f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ad183155e7592e816863539c54b6fa83f">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:ad183155e7592e816863539c54b6fa83f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35a85dbb8d86badfdee250107b15e803"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a35a85dbb8d86badfdee250107b15e803">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a35a85dbb8d86badfdee250107b15e803"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab311cdf3df0e3547b7d3cd810e61ca61"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ab311cdf3df0e3547b7d3cd810e61ca61">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:ab311cdf3df0e3547b7d3cd810e61ca61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc7c03491c0efb104d0d0d108993d733"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#afc7c03491c0efb104d0d0d108993d733">CreateTrigger</a> ()</td></tr>
<tr class="separator:afc7c03491c0efb104d0d0d108993d733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a832179b1b442b1db4376da2693413de5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a832179b1b442b1db4376da2693413de5">OnSteppedOn</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> victim)</td></tr>
<tr class="separator:a832179b1b442b1db4376da2693413de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1320fa5889e47c848cbb7b33a142bda2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a1320fa5889e47c848cbb7b33a142bda2">OnItemLocationChanged</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_owner, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_owner)</td></tr>
<tr class="separator:a1320fa5889e47c848cbb7b33a142bda2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafac0842577356f878e87cbecd8dbdc1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#aafac0842577356f878e87cbecd8dbdc1">EEItemLocationChanged</a> (notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> oldLoc, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> newLoc)</td></tr>
<tr class="separator:aafac0842577356f878e87cbecd8dbdc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fd5a669e6eaaaeeae8a27282c448a49"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a7fd5a669e6eaaaeeae8a27282c448a49">SetInactive</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> stop_timer=true)</td></tr>
<tr class="separator:a7fd5a669e6eaaaeeae8a27282c448a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1e3d598591ab6157454067618b6ef39"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ac1e3d598591ab6157454067618b6ef39">SetState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> state_ID)</td></tr>
<tr class="separator:ac1e3d598591ab6157454067618b6ef39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a93aa7809e0ac5f0b9f49c170e06a36"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a4a93aa7809e0ac5f0b9f49c170e06a36">GetState</a> ()</td></tr>
<tr class="memdesc:a4a93aa7809e0ac5f0b9f49c170e06a36"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns one of STATE_...  <a href="../../d0/d4a/_trap___trip_wire_8c.html#a4a93aa7809e0ac5f0b9f49c170e06a36">More...</a><br /></td></tr>
<tr class="separator:a4a93aa7809e0ac5f0b9f49c170e06a36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e580263114d24451555874aaa94bcdc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a8e580263114d24451555874aaa94bcdc">SetWireType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> wireType)</td></tr>
<tr class="separator:a8e580263114d24451555874aaa94bcdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af252172f59c64c2fd13b1f3ff8b4b0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a3af252172f59c64c2fd13b1f3ff8b4b0">GetWireType</a> ()</td></tr>
<tr class="separator:a3af252172f59c64c2fd13b1f3ff8b4b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a721aa5c9c604253743c10171d90cd9e9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a721aa5c9c604253743c10171d90cd9e9">RefreshState</a> ()</td></tr>
<tr class="separator:a721aa5c9c604253743c10171d90cd9e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abacd4e57c6f586e88a7bcacb9a564f25"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#abacd4e57c6f586e88a7bcacb9a564f25">SetupTrapPlayer</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d9/db9/classbool.html">bool</a> set_position=true)</td></tr>
<tr class="separator:abacd4e57c6f586e88a7bcacb9a564f25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0ed3e12866b63a75f57771a52b83e57"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ac0ed3e12866b63a75f57771a52b83e57">StartDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ac0ed3e12866b63a75f57771a52b83e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7bd4d02b82fa1017e3a4cf7e3caba18"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ae7bd4d02b82fa1017e3a4cf7e3caba18">CanReceiveAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slotId)</td></tr>
<tr class="separator:ae7bd4d02b82fa1017e3a4cf7e3caba18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a850b9b0562bb3b88cad1d9d6d0202dc9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a850b9b0562bb3b88cad1d9d6d0202dc9">CanDisplayAttachmentSlot</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:a850b9b0562bb3b88cad1d9d6d0202dc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac063b6124c64033d904f29247d8eb45a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ac063b6124c64033d904f29247d8eb45a">EEItemAttached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name)</td></tr>
<tr class="separator:ac063b6124c64033d904f29247d8eb45a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a870b0dcd0dfafe4a764232688d9356c0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a870b0dcd0dfafe4a764232688d9356c0">EEItemDetached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name)</td></tr>
<tr class="separator:a870b0dcd0dfafe4a764232688d9356c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4de4d414d0cbf15100ab71ec84ca25f7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a4de4d414d0cbf15100ab71ec84ca25f7">EEKilled</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> killer)</td></tr>
<tr class="separator:a4de4d414d0cbf15100ab71ec84ca25f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74760c70d995dba9f713e3cf17ea9405"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a74760c70d995dba9f713e3cf17ea9405">FoldTripWire</a> ()</td></tr>
<tr class="separator:a74760c70d995dba9f713e3cf17ea9405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0580e19ee7c965536e590ae5f2c9ea8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ad0580e19ee7c965536e590ae5f2c9ea8">OnInventoryEnter</a> (Man player)</td></tr>
<tr class="separator:ad0580e19ee7c965536e590ae5f2c9ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ff31a876fba89e2f0ae6c33af8cd551"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a6ff31a876fba89e2f0ae6c33af8cd551">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:a6ff31a876fba89e2f0ae6c33af8cd551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92bbc22017be7c79d20a6162878d5fa6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a92bbc22017be7c79d20a6162878d5fa6">OnPlacementCancelled</a> (Man player)</td></tr>
<tr class="separator:a92bbc22017be7c79d20a6162878d5fa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab18e11ed223759f876177531c553dfbe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ab18e11ed223759f876177531c553dfbe">IsDeployable</a> ()</td></tr>
<tr class="separator:ab18e11ed223759f876177531c553dfbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04a39fa356ae48f99ac9fed3df8887d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ac04a39fa356ae48f99ac9fed3df8887d">IsTakeable</a> ()</td></tr>
<tr class="separator:ac04a39fa356ae48f99ac9fed3df8887d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14046891600537e83da30eb2e7a1f4d5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a14046891600537e83da30eb2e7a1f4d5">GetDeploySoundset</a> ()</td></tr>
<tr class="separator:a14046891600537e83da30eb2e7a1f4d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4403b4f304acf2affb04880ba46a1313"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a4403b4f304acf2affb04880ba46a1313">GetLoopDeploySoundset</a> ()</td></tr>
<tr class="separator:a4403b4f304acf2affb04880ba46a1313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#afa39b7c4d3d085ef8514a87c32b81a4d">SetActions</a> ()</td></tr>
<tr class="separator:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7528e3fcc34000aba7488abe3880737"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ac7528e3fcc34000aba7488abe3880737">UpdateProxySelections</a> ()</td></tr>
<tr class="separator:ac7528e3fcc34000aba7488abe3880737"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a25611e326fe1b4ab140780b9d9460044"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4">eWireMaterial</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a> = 3</td></tr>
<tr class="separator:a25611e326fe1b4ab140780b9d9460044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a500e292a70cefa1351fccaa36246b57f"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a500e292a70cefa1351fccaa36246b57f">DEPLOYED</a> = 2</td></tr>
<tr class="separator:a500e292a70cefa1351fccaa36246b57f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d056edb542b563fdfdeb878116d0b9b"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a1d056edb542b563fdfdeb878116d0b9b">TRIGGERED</a> = 1</td></tr>
<tr class="separator:a1d056edb542b563fdfdeb878116d0b9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff586702f64ad6d31cfa8e5de6de3d4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#aff586702f64ad6d31cfa8e5de6de3d4d">m_State</a> = <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a></td></tr>
<tr class="separator:aff586702f64ad6d31cfa8e5de6de3d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53b63e0fe042880470713535b648ab2c"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a53b63e0fe042880470713535b648ab2c">m_WireMaterial</a></td></tr>
<tr class="separator:a53b63e0fe042880470713535b648ab2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95a703623a2cb282ba7219b147237e2c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a95a703623a2cb282ba7219b147237e2c">m_ResultOfAdvancedPlacing</a></td></tr>
<tr class="separator:a95a703623a2cb282ba7219b147237e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0735192bdc91656cb681d0e76b0fa66"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#ab0735192bdc91656cb681d0e76b0fa66">m_TriggerPosition</a></td></tr>
<tr class="separator:ab0735192bdc91656cb681d0e76b0fa66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494acc5f32e0d28a86eb80af97940564"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a494acc5f32e0d28a86eb80af97940564">m_TriggerOrientation</a></td></tr>
<tr class="separator:a494acc5f32e0d28a86eb80af97940564"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a50fcac5bd072363731670c22cefdc8e4" name="a50fcac5bd072363731670c22cefdc8e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50fcac5bd072363731670c22cefdc8e4">&#9670;&#160;</a></span>eWireMaterial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4">eWireMaterial</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a50fcac5bd072363731670c22cefdc8e4a1f1dd8e7a28788f8b1f2635baafe0d9b" name="a50fcac5bd072363731670c22cefdc8e4a1f1dd8e7a28788f8b1f2635baafe0d9b"></a>WIRE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a50fcac5bd072363731670c22cefdc8e4aa0b736653663dc571d7a34bf3f08da2a" name="a50fcac5bd072363731670c22cefdc8e4aa0b736653663dc571d7a34bf3f08da2a"></a>BARBED_WIRE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a50fcac5bd072363731670c22cefdc8e4a24d6f5addc374131ab07a16c222d6992" name="a50fcac5bd072363731670c22cefdc8e4a24d6f5addc374131ab07a16c222d6992"></a>ROPE&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00002">2</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a850b9b0562bb3b88cad1d9d6d0202dc9" name="a850b9b0562bb3b88cad1d9d6d0202dc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a850b9b0562bb3b88cad1d9d6d0202dc9">&#9670;&#160;</a></span>CanDisplayAttachmentSlot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CanDisplayAttachmentSlot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00211">211</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ae7bd4d02b82fa1017e3a4cf7e3caba18" name="ae7bd4d02b82fa1017e3a4cf7e3caba18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7bd4d02b82fa1017e3a4cf7e3caba18">&#9670;&#160;</a></span>CanReceiveAttachment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00202">202</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="afc7c03491c0efb104d0d0d108993d733" name="afc7c03491c0efb104d0d0d108993d733"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc7c03491c0efb104d0d0d108993d733">&#9670;&#160;</a></span>CreateTrigger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void CreateTrigger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00070">70</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ac063b6124c64033d904f29247d8eb45a" name="ac063b6124c64033d904f29247d8eb45a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac063b6124c64033d904f29247d8eb45a">&#9670;&#160;</a></span>EEItemAttached()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EEItemAttached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00219">219</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a870b0dcd0dfafe4a764232688d9356c0" name="a870b0dcd0dfafe4a764232688d9356c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a870b0dcd0dfafe4a764232688d9356c0">&#9670;&#160;</a></span>EEItemDetached()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EEItemDetached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00226">226</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="aafac0842577356f878e87cbecd8dbdc1" name="aafac0842577356f878e87cbecd8dbdc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafac0842577356f878e87cbecd8dbdc1">&#9670;&#160;</a></span>EEItemLocationChanged()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EEItemLocationChanged </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>oldLoc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>newLoc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00118">118</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a4de4d414d0cbf15100ab71ec84ca25f7" name="a4de4d414d0cbf15100ab71ec84ca25f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4de4d414d0cbf15100ab71ec84ca25f7">&#9670;&#160;</a></span>EEKilled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EEKilled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00233">233</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a74760c70d995dba9f713e3cf17ea9405" name="a74760c70d995dba9f713e3cf17ea9405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74760c70d995dba9f713e3cf17ea9405">&#9670;&#160;</a></span>FoldTripWire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FoldTripWire </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00244">244</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a14046891600537e83da30eb2e7a1f4d5" name="a14046891600537e83da30eb2e7a1f4d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14046891600537e83da30eb2e7a1f4d5">&#9670;&#160;</a></span>GetDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00358">358</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a4403b4f304acf2affb04880ba46a1313" name="a4403b4f304acf2affb04880ba46a1313"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4403b4f304acf2affb04880ba46a1313">&#9670;&#160;</a></span>GetLoopDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetLoopDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00363">363</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a4a93aa7809e0ac5f0b9f49c170e06a36" name="a4a93aa7809e0ac5f0b9f49c170e06a36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a93aa7809e0ac5f0b9f49c170e06a36">&#9670;&#160;</a></span>GetState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns one of STATE_... </p>
<p >returns the state of climb (enum value of ClimbStates); </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00161">161</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a3af252172f59c64c2fd13b1f3ff8b4b0" name="a3af252172f59c64c2fd13b1f3ff8b4b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3af252172f59c64c2fd13b1f3ff8b4b0">&#9670;&#160;</a></span>GetWireType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetWireType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00171">171</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ab18e11ed223759f876177531c553dfbe" name="ab18e11ed223759f876177531c553dfbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab18e11ed223759f876177531c553dfbe">&#9670;&#160;</a></span>IsDeployable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsDeployable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00347">347</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ac04a39fa356ae48f99ac9fed3df8887d" name="ac04a39fa356ae48f99ac9fed3df8887d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac04a39fa356ae48f99ac9fed3df8887d">&#9670;&#160;</a></span>IsTakeable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsTakeable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00353">353</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ad0580e19ee7c965536e590ae5f2c9ea8" name="ad0580e19ee7c965536e590ae5f2c9ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0580e19ee7c965536e590ae5f2c9ea8">&#9670;&#160;</a></span>OnInventoryEnter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnInventoryEnter </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00259">259</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a1320fa5889e47c848cbb7b33a142bda2" name="a1320fa5889e47c848cbb7b33a142bda2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1320fa5889e47c848cbb7b33a142bda2">&#9670;&#160;</a></span>OnItemLocationChanged()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnItemLocationChanged </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_owner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_owner</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00107">107</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a92bbc22017be7c79d20a6162878d5fa6" name="a92bbc22017be7c79d20a6162878d5fa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92bbc22017be7c79d20a6162878d5fa6">&#9670;&#160;</a></span>OnPlacementCancelled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnPlacementCancelled </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00338">338</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a6ff31a876fba89e2f0ae6c33af8cd551" name="a6ff31a876fba89e2f0ae6c33af8cd551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ff31a876fba89e2f0ae6c33af8cd551">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00323">323</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a832179b1b442b1db4376da2693413de5" name="a832179b1b442b1db4376da2693413de5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a832179b1b442b1db4376da2693413de5">&#9670;&#160;</a></span>OnSteppedOn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnSteppedOn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>victim</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00080">80</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ab311cdf3df0e3547b7d3cd810e61ca61" name="ab311cdf3df0e3547b7d3cd810e61ca61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab311cdf3df0e3547b7d3cd810e61ca61">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00055">55</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a35a85dbb8d86badfdee250107b15e803" name="a35a85dbb8d86badfdee250107b15e803"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35a85dbb8d86badfdee250107b15e803">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00047">47</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ad183155e7592e816863539c54b6fa83f" name="ad183155e7592e816863539c54b6fa83f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad183155e7592e816863539c54b6fa83f">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00037">37</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a721aa5c9c604253743c10171d90cd9e9" name="a721aa5c9c604253743c10171d90cd9e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a721aa5c9c604253743c10171d90cd9e9">&#9670;&#160;</a></span>RefreshState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void RefreshState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00177">177</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="afa39b7c4d3d085ef8514a87c32b81a4d" name="afa39b7c4d3d085ef8514a87c32b81a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa39b7c4d3d085ef8514a87c32b81a4d">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00368">368</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a7fd5a669e6eaaaeeae8a27282c448a49" name="a7fd5a669e6eaaaeeae8a27282c448a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fd5a669e6eaaaeeae8a27282c448a49">&#9670;&#160;</a></span>SetInactive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void SetInactive </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>stop_timer</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00135">135</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ac1e3d598591ab6157454067618b6ef39" name="ac1e3d598591ab6157454067618b6ef39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1e3d598591ab6157454067618b6ef39">&#9670;&#160;</a></span>SetState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>state_ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00156">156</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="abacd4e57c6f586e88a7bcacb9a564f25" name="abacd4e57c6f586e88a7bcacb9a564f25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abacd4e57c6f586e88a7bcacb9a564f25">&#9670;&#160;</a></span>SetupTrapPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void SetupTrapPlayer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>set_position</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00187">187</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a8e580263114d24451555874aaa94bcdc" name="a8e580263114d24451555874aaa94bcdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e580263114d24451555874aaa94bcdc">&#9670;&#160;</a></span>SetWireType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetWireType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>wireType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00166">166</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ac0ed3e12866b63a75f57771a52b83e57" name="ac0ed3e12866b63a75f57771a52b83e57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0ed3e12866b63a75f57771a52b83e57">&#9670;&#160;</a></span>StartDeactivate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void StartDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00193">193</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="aea9b9b55667dc9572784dd968ba75845" name="aea9b9b55667dc9572784dd968ba75845"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea9b9b55667dc9572784dd968ba75845">&#9670;&#160;</a></span>TripwireTrap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TripwireTrap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00023">23</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ac7528e3fcc34000aba7488abe3880737" name="ac7528e3fcc34000aba7488abe3880737"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7528e3fcc34000aba7488abe3880737">&#9670;&#160;</a></span>UpdateProxySelections()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UpdateProxySelections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00380">380</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a500e292a70cefa1351fccaa36246b57f" name="a500e292a70cefa1351fccaa36246b57f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a500e292a70cefa1351fccaa36246b57f">&#9670;&#160;</a></span>DEPLOYED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DEPLOYED = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00013">13</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a25611e326fe1b4ab140780b9d9460044" name="a25611e326fe1b4ab140780b9d9460044"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25611e326fe1b4ab140780b9d9460044">&#9670;&#160;</a></span>FOLDED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a50fcac5bd072363731670c22cefdc8e4">eWireMaterial</a> FOLDED = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a95a703623a2cb282ba7219b147237e2c" name="a95a703623a2cb282ba7219b147237e2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95a703623a2cb282ba7219b147237e2c">&#9670;&#160;</a></span>m_ResultOfAdvancedPlacing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> m_ResultOfAdvancedPlacing</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00019">19</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="aff586702f64ad6d31cfa8e5de6de3d4d" name="aff586702f64ad6d31cfa8e5de6de3d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff586702f64ad6d31cfa8e5de6de3d4d">&#9670;&#160;</a></span>m_State</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_State = <a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00016">16</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a494acc5f32e0d28a86eb80af97940564" name="a494acc5f32e0d28a86eb80af97940564"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a494acc5f32e0d28a86eb80af97940564">&#9670;&#160;</a></span>m_TriggerOrientation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> m_TriggerOrientation</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00021">21</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="ab0735192bdc91656cb681d0e76b0fa66" name="ab0735192bdc91656cb681d0e76b0fa66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0735192bdc91656cb681d0e76b0fa66">&#9670;&#160;</a></span>m_TriggerPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> m_TriggerPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00020">20</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a53b63e0fe042880470713535b648ab2c" name="a53b63e0fe042880470713535b648ab2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53b63e0fe042880470713535b648ab2c">&#9670;&#160;</a></span>m_WireMaterial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_WireMaterial</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00017">17</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
<a id="a1d056edb542b563fdfdeb878116d0b9b" name="a1d056edb542b563fdfdeb878116d0b9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d056edb542b563fdfdeb878116d0b9b">&#9670;&#160;</a></span>TRIGGERED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TRIGGERED = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html#l00014">14</a> of file <a class="el" href="../../d0/d4a/_trap___trip_wire_8c_source.html">Trap_TripWire.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_157d898f3f7001bb53e0a02e45ac0295.html">TrapBase</a></li><li class="navelem"><a class="el" href="../../d0/d4a/_trap___trip_wire_8c.html">Trap_TripWire.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
